﻿var DATA_SEPARATOR_FOR_MT="========\t\t\t=========";
var DATA_SEPARATOR_1_FOR_MT="========\f\f\f=========";
var DATA_SEPARATOR_2_FOR_MT="========\f\t\f=========";
var BIGTYPE_BULLETIN="bulletin";
var BIGTYPE_DOC="document";
var BIGTYPE_TOOL="tool";
var g_IntervalRefreshTableId = null ;
var g_passKey = false; 
var isNeedRefreshTableFlag = true;	//false表示没有可刷新的，这个变量是通过获取到数据内容后判断有无正在下载或等待状态决定是否要刷新，如果是数据内容为空，也要刷新表格，该变量为true
var g_stopFreshTable=false;  //true表示不刷新表格

//界面初始化
$(document).ready(function(){
    //最新公告导航 color变成#069
	$("#hdx_latestRes").addClass("hdx_mt_greenBlue");
	
	//检测是否刷新下载状态
	loopRefreshTableBody();	
	/*
	//表格隔行换色
	$(".hdx_stripe tr").mouseover(function(){$(this).addClass("over");}).mouseout(function(){$(this).removeClass("over");}); 
	$(".hdx_stripe tr:even").addClass("alt");
	$(".hdx_stripe tr:odd").addClass("one");  
	*/
    //关键字查询输入框，绑定回车事件 
    $("#hdx_mainTn_inputTxt").keyup(function(e){
	    var m_e=e||event;
		var key=m_e.keyCode||m_e.which||m_e.charCode; 
        if(parseInt(key)==13)
		{
		    queryByInput();
		}
	});
	
	//如果表格内容为空，则灰化批量操作，否则批量操作可用			
	if($("#hdx_mainTnRes_tb_body").find("input").length>0)
	{
		enable_batchOpr();
	}
	else
	{
		grey_batchOpr();
	} 
	//checkbox状态
	doCheckAllOrNot();
	
	//给3个tab页赋值
	getTabNum("");	
	//公告页签不显示运维活动
	if( "currentNavi"== $("#bulletin a").attr("class"))
	{
		$("#hdx_classify").css("display","none");
	}
	else
	{
		$("#hdx_classify").css("display","");
	}
});

//发请求，取到3个tab页签中记录的条数，并显示到tab上
function getTabNum(id)
{   
    var strId = id;
    if(strId != "")
	{
	    strId = handlerSpecialCharsWithDoubleEscape(id); 
	}	

    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'text',
		cache:false,				
		data:{action:"getTabNum",categoryId:strId},
		error: function(){},
		success: function(data,evt)
		{ 
		    if(data!="")
			{
				var numArr = data.split(DATA_SEPARATOR_FOR_MT);
				var num0 = "("+numArr[0]+")";
				var num1 = "("+numArr[1]+")";
				var num2 = "("+numArr[2]+")";
				$("#bulletinNum").text(num0);
				$("#docNum").text(num1);
				$("#toolNum").text(num2); 	
            }			
		}
	});	
}

//循环发请求刷新table body
function loopRefreshTableBody()
{   
	g_IntervalRefreshTableId = setInterval(function(){
		if(isNeedRefreshTableFlag&&(!g_stopFreshTable))
		{  
    		refreshStatusAndProcess();		
		}
	},1000);		
}
/*
//判断是不是需要刷新
function isRefreshTableNeeded()
{  
    
	if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
	{
	    isNeedRefreshTableFlag = true;	
        g_stopFreshTable = false; 
	}
	return isNeedRefreshTableFlag;
}
*/
//字符串替换
String.prototype.replaceAll=function(pattern, replacement) {
    var result = '', source = this;
    var match;

    while (source.length > 0) {
      match = source.indexOf(pattern);
      if (match>=0) {
        result += source.slice(0, match);
        result += replacement;
        source  = source.slice(match + pattern.length);
      } else {
        result += source, source = '';
      }
    }
    return result;
}

//字符串startWith
String.prototype.startWith=function(str)
{
    if(str==null||str==""||this.length==0||str.length>this.length)
	    return false;
    if(this.substr(0,str.length)==str)
	    return true;
    else
	    return false;
}

//字符串去掉左右空隔方法
String.prototype.trim = function() 
{ 
    return this.replace(/(^\s*)|(\s*$)/g, ""); 
}

//字符串转码，用于url的前后台传递*/
function handlerSpecialCharsWithDoubleEscape(value)
{
	value =escape(escape(value));
	value=value.replaceAll("+", "%2B");
	value=value.replaceAll("@", "%40");
	return value;
}

//全选 checkbox事件
function checkAll(e, itemName) {
	var item = document.getElementsByName(itemName);
	for (var i = 0; i < item.length; i++) {
        if(item[i].disabled==false)
		   item[i].checked = e.checked;
	}
}
//单选 checkbox事件
function checkItem(e, allName) {
	var all = document.getElementsByName(allName)[0];
	var item = document.getElementsByName(e.name);
	if (!e.checked) {
		all.checked = false;
	} else {
		for (var i = 0; i < item.length; i++) {
			if ((!item[i].checked)&&(item[i].disabled==false)) {
				return;
			}
		}
		all.checked = true;
	}
}

//获取参数
function getAllParams()
{
   //运维活动
   g_strActivitiesIds = handlerSpecialCharsWithDoubleEscape(getSelectedActs());
   
   //关键字
   if(g_passKey)
   {
       g_strInput = handlerSpecialCharsWithDoubleEscape($("#hdx_mainTn_inputTxt").val().trim());   
   }
   
   //小类
   if(g_strBigType==BIGTYPE_BULLETIN)
   {
       if($("#bulletinType_alarm").attr("checked"))
	   {
	       g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#bulletinType_alarm").val());
	   }
	   else if($("#bulletinType_patch").attr("checked"))
	   {
          g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#bulletinType_patch").val());
	   }
   }
   else if(g_strBigType==BIGTYPE_DOC) 
   {
        g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#hdx_doc_type").val());
   }
   else if(g_strBigType==BIGTYPE_TOOL)
   {    
        g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#hdx_tool_type").val());
   }  
  
   //状态
   g_strDownloadStatus = $("#hdx_mainTn_status").val();  
   
   //每页显示数
   g_strRowPerPage = $("#rowNum").val();
}

//获取当前勾选的项
function getSelectedActs()
{
    var strReturn ="";
    
    if($("#chkMtActAll").attr("checked"))
	{
	   strReturn = $("#chkMtActAll").val();
	}
	else
	{
		var strReturn = document.getElementsByName("mtActIds");
		var tmp_Ids=[];	  
		for(var i=0; i<strReturn.length; i++)
		{	      
			if((strReturn[i].checked) && (strReturn[i].value.length > 0))
			{
				tmp_Ids.push(strReturn[i].value);
			}
		}
		var strTmp = tmp_Ids.join(",");
		strReturn = strTmp;
	}
	return strReturn;
}

//由table body里的内容的选中状态决定全选状态	
function doCheckAllOrNot()
{    
	var selectedIds = document.getElementsByName("selectedIds");
	var bChkAll = true;			
	if(selectedIds!=null && selectedIds!= undefined && selectedIds.length>0)
	{
		for(var i=0; i<selectedIds.length; i++)
		{	      
			if(!selectedIds[i].checked)
			{
				bChkAll=false;
			}
		}
	}
	else
	{
		bChkAll=false;
	}	
    if(bChkAll)
	{
	   $("#chkAllItems").attr("checked",true);
	}
	else
	{
	   $("#chkAllItems").attr("checked",false);
	}
}
	
//刷新左侧导航	
function refreshLeftNavi(obj,strCategoryId)
{
    if(strCategoryId.trim()=="")
	{
		return;	
	}	
	g_strCategoryId = handlerSpecialCharsWithDoubleEscape(strCategoryId); 	
	/*
	   需要刷新如下内容：
	   1. 刷新运维活动
	   2. 清除以前选过的运维活动
	   3. 关键字恢复默认（清空）
	   4. 状态下拉框恢复默认
	   5. //DTS2011121407401   改不刷新小类
	      //DTS2012010701476  要求改为公告不刷新小类，但是其它的要刷新	    
	   6. 大类保持不变
	   7. 刷分页当前页码设为1   DTS2012012000255 
	*/ 
	
	g_stopFreshTable=true; //loop 中不刷表格
	
	//清关键字
	$("#hdx_mainTn_inputTxt").val(""); 
	g_passKey = false;  
	g_strInput = "";   //DTS2012021604689 点左侧导航要清除关键字
	
	//状态下拉框恢复默认
	$("#hdx_mainTn_status").val("0");
	
	if(g_strBigType!=BIGTYPE_BULLETIN)   //公告不刷小类，其它情况小类要恢复默认
	{
		$("#maintenace_type_list").val("0");
	}
	getAllParams();	
	
	g_strActivitiesIds = ""; //清运维活动
	g_strPageNum = "1";   //DTS2012012000255 
	g_strRowPerPage = "10";  //DTS2012012000255 
	if(g_strBigType!=BIGTYPE_BULLETIN)   //公告不刷小类，其它情况小类要恢复默认
	{
	    g_strSmallType="0";  //DTS2012071904131 
	}
	$.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"refreshLeftNavi",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, 
		error: function(){},
		success: function(data,evt)
		{ 			
			var ulArr = data.split(DATA_SEPARATOR_FOR_MT); 
			/* 0. 运维活动
			   1. 小类
			   2. 表头
			   3. 表格内容
			   4. 分页
			   5. categoryId
			   6. 左侧导航直接子节点
			*/			
			if(ulArr[0]=="")
			{
			    //如果运维活动小项为空，则不显示运维活动区域
				$("#hdx_activity").css("display","none");
			}
			else
			{
			    $("#hdx_activity").css("display","");
				$("#hdx_activity_options").html(ulArr[0]);
			}			
			//$("#maintenace_type_list").html(ulArr[1]); //不刷新小类 DTS2011121407401
			
			$("#maintenace_type_list").html(ulArr[1]);
			if(g_strBigType==BIGTYPE_BULLETIN)   //DTS2012010701476  修改为公告不刷小类，其它情况要刷小类
			{
			    //判断之前选择的是哪项，保证之前选中的仍为选中状态
				if(g_strSmallType=="0")
				{
				    $("#bulletinType_alarm").attr("checked",true);
					$("#bulletinType_patch").attr("checked",false);
				}
				else
				{
				    $("#bulletinType_alarm").attr("checked",false);
					$("#bulletinType_patch").attr("checked",true);
				}
			}
			
			$("#hdx_mainTnRes_tb_head").html(ulArr[2]);
			$("#hdx_mainTnRes_tb_body").html(ulArr[3]); 
			
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(ulArr[3]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			}
			
			$("#hdx_spt_bulltin_footer_td").html(ulArr[4]); 			
			//显示导航子节点
			var strCategoryId = ulArr[5]+""; 
			if($("#hdx_mainTnLeftNavi  #"+strCategoryId+" ul").length <= 0)
			{
				if(strCategoryId.trim()!="" && $("#hdx_mainTnLeftNavi  #"+strCategoryId+" ul").html() == null)
				{  
					$("#hdx_mainTnLeftNavi  #"+strCategoryId).append(ulArr[6]); 			 
				}	
			}	
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
			changeColor(obj,strCategoryId);			
			
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}
		}
	});		
}

//把当前点击的这个Li和它的子ul变成白色的，把其它的LI及子节点变以蓝底色
function changeColor(obj,LiId)
{ 
	$("#hdx_mainBg_left ul").find(".li_category").each(function(){
	    $(this).css("backgroundColor","#ddeef9");
	});	
	var currentId = "#"+LiId;
	var $obj= $(obj);
	while(!($obj.is("li")&& $obj.parent().parent().attr("id") == "hdx_mainTnLeftNavi"))
	{
	    $obj = $obj.parent();
	}
	
	$obj.css("backgroundColor","#fff");
	$obj.children("ul").each(function(){
	   $(this).find(".li_category").each(function(){
		   $(this).css("backgroundColor","#fff");
	   });
	});
	
	//关闭其它的一级节点
	$obj.siblings().each(function(){
	    $(this).find("ul").each(function(){$(this).css("display","none");});		
	});
	
}


//响应显示最新
function showLatestRes()
{
    /*
	   需要刷新如下内容：
	   1. 刷新运维活动
	   2. 清除以前选过的运维活动
	   3. 关键字恢复默认（清空）
	   4. 状态下拉框恢复默认
	   5. 刷新小类
	   6. 大类保持不变
	   7. 刷表头
	   8. 刷表内容
	   9. 刷分页
	*/ 
	g_stopFreshTable=true; //loop 中不刷表格
	
	//“最新发布”高亮
    $("#hdx_latestRes").removeClass("hdx_mt_black");
    $("#hdx_latestRes").addClass("hdx_mt_greenBlue");
	
	//收起其它导航，只显示其它导航的一级节点
    $("#hdx_mainTnLeftNavi").children("ul").each(function(){
	    //恢复蓝背景
		$(this).find("li").each(function(){$(this).css("backgroundColor","#ddeef9");});
		//清除导航的select样式
		$(this).find("li").each(function(){$(this).find("span").removeClass("selected");});
		//收起子节点
	    $(this).find("ul").each(function(){$(this).css("display","none");});		
	});
	
	//清关键字
	$("#hdx_mainTn_inputTxt").val(""); 
	g_passKey = false;
	g_strInput = "";   //DTS2012021604689 点左侧导航要清除关键字
	
	//状态下拉框恢复默认
	$("#hdx_mainTn_status").css("display","");   //DTS2012012901709 
	$("#hdx_mainTn_status").val("0");
	//清运维活动
	g_strActivitiesIds = "";
	
	if(g_strBigType!=BIGTYPE_BULLETIN)   //DTS2012020804399  修改为公告不刷小类，其它情况要刷小类
	{
		$("#maintenace_type_list").val("0");
	} 
	
	getAllParams();
	g_strCategoryId ="";
	
	g_strPageNum = "1";   //DTS2012012000255 
	g_strRowPerPage = "10";  //DTS2012012000255 
	
	$.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"getLatestRes",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{ 
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/* 0. 运维活动
			   1. 小类
			   2. 表头
			   3. 表格内容
			   4. 分页			   
			*/
			if(dataArr[0]=="")
			{
			    //如果运维活动小项为空，则不显示运维活动区域
				$("#hdx_activity").css("display","none");
			}
			else
			{
			    $("#hdx_activity").css("display","");
				$("#hdx_activity_options").html(dataArr[0]);
			}
            
            $("#maintenace_type_list").html(dataArr[1]);
			if(g_strBigType==BIGTYPE_BULLETIN)   //DTS2012020804399  修改为公告不刷小类，其它情况要刷小类
			{
			    //判断之前选择的是哪项，保证之前选中的仍为选中状态
				if(g_strSmallType=="0")
				{
				    $("#bulletinType_alarm").attr("checked",true);
					$("#bulletinType_patch").attr("checked",false);
				}
				else
				{
				    $("#bulletinType_alarm").attr("checked",false);
					$("#bulletinType_patch").attr("checked",true);
				}
			}

			$("#hdx_mainTnRes_tb_head").html(dataArr[2]);
			$("#hdx_mainTnRes_tb_body").html(dataArr[3]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[3]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			
			$("#hdx_spt_bulltin_footer_td").html(dataArr[4]);	
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot(); 
			
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}
		}
	});
	
	//给3个tab页赋值
	getTabNum("");	
	
	//运维活运的箭头复原 向下
	$("#opr_img_opr_showHide").attr("src","css/images/upgradeLib/act_close.gif");
}

function browseCategoryAndDisplayNavi(obj,categoryId)
{    
	if($("#hdx_latestRes").hasClass("hdx_mt_greenBlue"))
	{
		//去掉“最新发布”高亮
		$("#hdx_latestRes").removeClass("hdx_mt_greenBlue");
		$("#hdx_latestRes").addClass("hdx_mt_black");
	}
	//展开当前点击节点的一级子节点 //折叠非当前节点的所在的一级节点的同级节点
	showOrHideSiblingUL(obj);
	
	//刷新页面(这个方法同时调用会刷新表格等)
	refreshLeftNavi(obj,categoryId);

    //给3个tab写数字
    getTabNum(categoryId);	
	
	//运维活运的箭头复原 向下
	$("#opr_img_opr_showHide").attr("src","css/images/upgradeLib/act_close.gif");
	
	//导航很长时，跳页面到顶部  DTS2012042805466 
	jumpToTop();
	
	//公告页签不显示运维活动
	if( "currentNavi"== $("#bulletin a").attr("class"))
	{
		$("#hdx_classify").css("display","none");
	}
	else
	{
		$("#hdx_classify").css("display","");
	}
}

function showOrHideSiblingUL(node)
{
	/*
	结构是 <li>
	         <span selected>...</span>
			 <ul>
               <li>
			     <span>...</span>
				 <ul>
				  ...
				 </ul> 
               </li>			   
			 </ul>
		   </li>
		   ...
	*/
	//传入的node是<span>
	//1. 显示 //或隐藏子节点 
	//当前选中节点展开子节点
	var liChildrenNodes = $(node).parent().children(); 
	for(var i = 0; i < liChildrenNodes.length; i++)
	{
		var $child = $(liChildrenNodes[i]);
        		
		if($child.is("ul"))
		{			
			if($child.css("display") == "none")
			{			
				$child.css("display","");
			}
		}		
	}
	//收起当前节点的同级节点
	var parentSilblingLiNodes = $(node).parent().siblings();
	$(parentSilblingLiNodes).each(function(){
	    $(this).children("ul").each(function(){$(this).css("display","none");});
	});	
	
	
	//2.当前点击的这个span加上selected样式,但是一级节点不加此样式	
	if($(node).parent().parent().parent()[0].id.indexOf("hdx_mainTnLeftNavi")<=-1)
	{
		//清除当前节点父节点的selected样式
		clearParentSelectClass($(node).parent()); 
		//清除当前节点所有子节点的selected样式
		clearChildrenSelectClass($(node).parent());
	}
	else
	{  
	   //一级节onclick里要去掉所有子节点里span的selected的样式 
	    $(node).parent().children("ul").each(function(){ 
		    $(this).find(".selected").each(function(){$(this).removeClass("selected");});        		
		});
	}
	//当前节点加选中样式
	$(node).addClass("selected");
    clearSiblingFirstLevelChildrenSelectClass($(node).parent()); //清除同级节点的selected样式	
}

//清除与当前选中节点的一级节点，同级的其它一级节点中所有的span中的selected样式
function clearSiblingFirstLevelChildrenSelectClass($node)
{   
    //传进来的是ul
	$node.siblings().each(function(){
	    $(this).find("span").each(function(){	
			if($(this).hasClass("selected"))
			{
			    $(this).removeClass("selected");
			}
		});	
	});
}

//清除当前节点父节点的selected样式（非一级节点）
function clearParentSelectClass($nodeLi)
{   
	//传进来的节点是span父li
    if($nodeLi.parent().parent()[0].id.indexOf("hdx_mainTnLeftNavi")<=-1)
	{
		//不是一级，一级节点不加样式
		$nodeLi.parent().parent().children().eq(0).removeClass("selected"); 
        clearSiblingFirstLevelChildrenSelectClass($nodeLi.parent().parent()); //找到li		
		clearParentSelectClass($nodeLi.parent().parent());
	}
}

//清除当前节点所有子节点的selected样式（非一级节点）
function clearChildrenSelectClass($nodeLi)
{   
    if($nodeLi.children().length>0 && $nodeLi.children().is("ul"))
	{ 
		//传进来的节点是span父li
		$nodeLi.children("ul").eq(0).find("span").removeClass("selected");
		clearSiblingFirstLevelChildrenSelectClass($nodeLi.children("ul").eq(0));
		clearChildrenSelectClass($nodeLi.children("ul").eq(0));
	}
}

//显示或隐藏运维活动分类
function showHideActivities()
{  
	if(document.getElementById("p_act_details")!=null && document.getElementById("p_act_details")!=undefined)
	{
		if($("#p_act_details").css("display") != "none")
		{
			$("#p_act_details").css("display","none");
			$("#opr_img_opr_showHide").attr("src","css/images/upgradeLib/act_open.gif");		
		}
		else
		{
			$("#p_act_details").css("display","block");
			$("#opr_img_opr_showHide").attr("src","css/images/upgradeLib/act_close.gif");	
		}
	}
}

//运维活动的全选checkbox
function checkMtActAll(chkObj, itemName)
{
    checkAll(chkObj, itemName);
}
//运维活动的单选checkbox
function checkMtActItem(chkObj,allName)
{
    checkItem(chkObj,allName);
}


//表格内容的全选 checkbox
function chkAllItems(chkObj, itemName)
{
    checkAll(chkObj, itemName);
	var selectedChks = getChkIdsAndStatus(); 
	
	$.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"chkAllIds",selectedChks:selectedChks,bigType:g_strBigType,smallType:g_strSmallType}, //参数
		error: function(){},
		success: function(data,evt){}
	});
}
//得到全选中的Id和状态
function getChkIdsAndStatus()
{
    var selectedIds = document.getElementsByName("selectedIds");
    var tmp_Ids=[];	  
	for(var i=0; i<selectedIds.length; i++)
	{	      
	    if(selectedIds[i].value.length > 0)
		{ 
			tmp_Ids.push(selectedIds[i].value+DATA_SEPARATOR_1_FOR_MT+selectedIds[i].checked);
		}
	}
	var strSelectedIds = tmp_Ids.join(DATA_SEPARATOR_FOR_MT);
    return strSelectedIds;
}

//表格内空的单选 checkbox
function selectItem(chkObj,allName)
{
   checkItem(chkObj,allName);
   
   //得到单个id和状态
   var chk = chkObj.value+DATA_SEPARATOR_1_FOR_MT+chkObj.checked; 
   //把状态发到后台
   $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"chkId",selectedChks:chk,bigType:g_strBigType,smallType:g_strSmallType}, //参数
		error: function(){},
		success: function(data,evt){}
	});
}

//根据输入条件查询
function queryByInput()
{  
	/*  
	   1. 刷表头
	   2. 刷表内容
	   3. 刷分页	    
   	   4. 状态下拉框恢复默认          //DTS2011122802707  状态不变,所以2011-12-30修改为不恢复默认值  
	   5. 根据搜索出来的结果刷新小类  //DTS2011122802707  要求不刷小类,所以2011-12-30修改不刷小类
	   6. 左侧导航不处理
	   7. 运维活动不处理
	   8. 大类不处理
	*/
	//状态下拉框恢复默认
	//$("#hdx_mainTn_status").val("0");  //DTS2011122802707  状态不变,所以2011-12-30修改为不恢复默认值  
	g_stopFreshTable=true; //loop 中不刷表格
		
	g_passKey = true;
	
	getAllParams();	
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"query",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{	
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/*  
			   0. 小类
			   1. 表头
			   2. 表格内容
			   3. 分页
			*/			
			//$("#maintenace_type_list").html(dataArr[0]);  //DTS2011122802707  要求不刷小类,所以2011-12-30修改不刷小类
			$("#hdx_mainTnRes_tb_head").html(dataArr[1]);
			$("#hdx_mainTnRes_tb_body").html(dataArr[2]);
            //如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[2]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			$("#hdx_spt_bulltin_footer_td").html(dataArr[3]);	
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}
		}
	});
}

//显示当前页签
function showTabPage(tabname)
{
    /*	   
	   1. 运维活动不处理
	   2. 左侧导航不刷
	   3. 关键字恢复默认（清空）
	   4. 刷大类
	   5. 刷小类
	   6. 状态下拉框恢复默认
	   7. 刷表头
	   8. 刷表内容
	   9. 刷分页,切换后分页从第1页开始	   
	*/
	g_stopFreshTable = true;  //loop 中不刷表格
	 
	//清关键字
	$("#hdx_mainTn_inputTxt").val(""); g_passKey = false;
	//状态下拉框恢复默认
	$("#hdx_mainTn_status").val("0");
		
	g_strBigType = tabname;
    //运维活动
    g_strActivitiesIds = handlerSpecialCharsWithDoubleEscape(getSelectedActs());
   
    //关键字
    g_strInput = handlerSpecialCharsWithDoubleEscape($("#hdx_mainTn_inputTxt").val());   
  
    g_strSmallType = "0";
  
    //状态
    g_strDownloadStatus = $("#hdx_mainTn_status").val();  
   
    //每页显示数
    g_strRowPerPage = $("#rowNum").val();	
	
	//隐藏标记
	if((tabname==BIGTYPE_BULLETIN)&&(g_strSmallType=="1"))  
	{
	   	$("#opr_batch_download").css("display","none");
		$("#opr_batch_pause").css("display","none");		
		$("#seperator").css("display","none");        
        $("#hdx_mainTn_status").css("display","none");  //DTS2012012901709  		
	}
	else
	{
    	$("#opr_batch_download").css("display","");
		$("#opr_batch_pause").css("display","");		
        $("#seperator").css("display","");  
		 $("#hdx_mainTn_status").css("display","");  //DTS2012012901709 
	}
	
	//只有公告-预警整改才显示标记功能
	if((tabname==BIGTYPE_BULLETIN)&&(g_strSmallType=="0"))
	{
	    $("#opr_batch_flag").css("display","");
	}
	else
	{
		$("#opr_batch_flag").css("display","none"); 
	}
	
	g_strPageNum = "1";  //页码归1
	
	//公告页签不显示运维活动
	if(tabname==BIGTYPE_BULLETIN)
	{
		$("#hdx_classify").css("display","none");
	}
	else
	{
		$("#hdx_classify").css("display","");
	}
	
	//发请求	
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"changeTab",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{	
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/*  
			   0. 小类
			   1. 表头
			   2. 表格内容
			   3. 分页
			   4. 大类
			*/	
			$("#maintenace_type_list").html(dataArr[0]);
			$("#hdx_mainTnRes_tb_head").html(dataArr[1]); 
			$("#hdx_mainTnRes_tb_body").html(dataArr[2]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[2]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			
			$("#hdx_spt_bulltin_footer_td").html(dataArr[3]);	
         	//tab页签样式
            $("#hdx_navilistContain_ul li a.currentNavi").removeClass("currentNavi");
			if(dataArr[4]==BIGTYPE_BULLETIN)
            {
			    $("#hdx_navilistContain_ul li").eq(0).find("a").addClass("currentNavi"); 
			}
			else if(dataArr[4]==BIGTYPE_DOC)
			{
			    $("#hdx_navilistContain_ul li").eq(1).find("a").addClass("currentNavi");
			}
			else if(dataArr[4]==BIGTYPE_TOOL)
			{
			    $("#hdx_navilistContain_ul li").eq(2).find("a").addClass("currentNavi");
			}   
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
			
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}
		}
	});    
}

//根据公告的小类筛选
function changeBulletinSmallType(obj)
{
    /*
	    1. 刷表头
		2. 刷表内容
		3. 刷分页
		4. 状态下拉框恢复默认
		5. 运维活动不处理
		6. 关键字不处理
	*/
	g_stopFreshTable=true; //loop 中不刷表格
	//状态下拉框恢复默认
	$("#hdx_mainTn_status").val("0");
	getAllParams();	
	g_strSmallType = handlerSpecialCharsWithDoubleEscape(obj.value);
	
	//DTS2012012901709 
	if(obj.value=="1")
	{
	    $("#hdx_mainTn_status").css("display","none");
	}
	else
	{
	    $("#hdx_mainTn_status").css("display","");
	}
	// end DTS2012012901709 
	
	g_strPageNum = "1";  //页码归1  DTS2012043000124
     $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"chgBulletinSmallType",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{	
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/*  
			   0. 切换小类
			   1. 表头
			   2. 表格内容
			   3. 分页
			*/
			if(dataArr[0]==0)
			{
			    $("#bulletinType_alarm").attr("checked","true");
			}
			else
			{
			    $("#bulletinType_patch").attr("checked","true");
			}			
			$("#hdx_mainTnRes_tb_head").html(dataArr[1]);
			$("#hdx_mainTnRes_tb_body").html(dataArr[2]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[2]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			
			$("#hdx_spt_bulltin_footer_td").html(dataArr[3]);
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();			
			
			if(g_strSmallType=="1")
			{  
			    $("#opr_batch_download").css("display","none");
		        $("#opr_batch_pause").css("display","none");
		        $("#opr_batch_flag").css("display","none");
				$("#seperator").css("display","none"); 
			}
			else
			{
			   $("#opr_batch_download").css("display","");
		       $("#opr_batch_pause").css("display","");
		       $("#opr_batch_flag").css("display",""); 
			   $("#seperator").css("display","");  
			}

            if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}			
		}
	});	
}

//根据文档的小类筛选
function changDocSmallType(obj)
{
    /*
		1. 刷表内容
		2. 刷分页
		3. 状态下拉框恢复默认
		4. 运维活动不处理
		5. 关键字不处理
	*/
	g_stopFreshTable=true; //loop 中不刷表格
	//状态下拉框恢复默认
	$("#hdx_mainTn_status").val("0");
	getAllParams();	
	g_strSmallType = handlerSpecialCharsWithDoubleEscape(obj.value);
	g_strPageNum = "1";  //页码归1  DTS2012043000124
	
     $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"chgDocSmallType",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{	
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/*  
			   0. 切换小类
			   1. 表格内容
			   2. 分页
			*/
			$("#hdx_doc_type").val(dataArr[0]);		
			$("#hdx_mainTnRes_tb_body").html(dataArr[1]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[1]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			$("#hdx_spt_bulltin_footer_td").html(dataArr[2]);
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot(); 	
            
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}			
		}
	});		
}

//根据工具的小类筛选
function changToolSmallType(obj)
{
   /*
		1. 刷表内容
		2. 刷分页
		3. 状态下拉框恢复默认
		4. 运维活动不处理
		5. 关键字不处理
	*/
	g_stopFreshTable=true; //loop 中不刷表格
	//状态下拉框恢复默认
	$("#hdx_mainTn_status").val("0");
	getAllParams();	
	g_strSmallType = handlerSpecialCharsWithDoubleEscape(obj.value);
	g_strPageNum = "1";  //页码归1  DTS2012043000124
	
     $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"chgDocSmallType",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/*  
			   0. 切换小类
			   1. 表格内容
			   2. 分页
			*/
			$("#hdx_tool_type").val(dataArr[0]);		
			$("#hdx_mainTnRes_tb_body").html(dataArr[1]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[1]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			$("#hdx_spt_bulltin_footer_td").html(dataArr[2]);
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
			
            if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}			
		}
	});		
}

//根据下载状态筛选
function filterByStatus(obj)
{
    /*  只刷新
	    1. 表内容
		2. 分页
		3. 表头（排序图标要恢复）
	*/
	g_stopFreshTable=true; //loop 中不刷表格
	getAllParams();
    g_strDownloadStatus = $("#hdx_mainTn_status").val();  
    g_strPageNum = "1";  //页码归1  DTS2012042500401
	
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"filterByStatus",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/* 0. 表格内容
			   1. 分页
			   2. 表头（排序图标要恢复）
			*/			
			$("#hdx_mainTnRes_tb_body").html(dataArr[0]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[0]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			$("#hdx_spt_bulltin_footer_td").html(dataArr[1]);
			$("#hdx_mainTnRes_tb_head").html(dataArr[2]);
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();	
            if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}			
		}
	});	
}

//查看更多
function getMore()
{ 
   /*
      actionFlag:
	  1.飞鸽公告主页面:getDissertation
      2.网络运行保障主页面:getNetWorkAssu
      3.补丁计划主页面:getProductManual
	  
	  item0 是当前节的一级节点
   */
   var strDestUrl = "/loginSupport.cgi?action=spNetMainTn&actionFlag=";
   var actionFlag = "" ;
   var item0 = "";
   
   if((g_strBigType==BIGTYPE_BULLETIN)&&(g_strSmallType=="1")) //补丁计划
   {
       actionFlag = "getProductManual";
   }
   else
   {
       actionFlag = "getNetWorkAssu";
   }  
   //取当前左边导航高亮节点的一级节点id  最新公告没有id
   //根据当前g_strCategoryId找到它的一级节点id发过去
    if(g_strCategoryId != "")
	{   
	    var tmpId = "#"+g_strCategoryId
		$nodeLi =$(tmpId);		
		if($nodeLi.parent().parent()[0].id.indexOf("hdx_mainTnLeftNavi")>-1)
		{  //当前id就是一级节点id
		   item0 = g_strCategoryId;
		}
		else
		{   //非一级节点时，要一直递归到找到一级节点id为止
		    do
			{
			   $nodeLi = $nodeLi.parent().parent();		  
			}while($nodeLi.parent().parent()[0].id.indexOf("hdx_mainTnLeftNavi")<=-1)	
		    item0 = $nodeLi[0].id;
		}
	}     
    strDestUrl += actionFlag;
    strDestUrl += "&item0=";
    strDestUrl += item0;    
    var win = window.open(strDestUrl);
	
	if (win) {
		win.opener = null;
	}
}

//批量标记
function batchMark()
{
    /*
	   1.全是未标记的，点批量标记，后加上红色(英文用粗体不用红色)
	   2.全是已标记的，点批量标记，后去掉红色(英文用粗体不用红色),显示原色
	   3.一部分是已标记的，一部分是未标记的，点批量标记，全变成红色(英文用粗体不用红色)
	   4.英文变粗体，中文变红色
	*/
	var newClassName="";
	if(g_lang=="zh_cn")
	{
	    newClassName ="redFont";
	}
	else
	{
	    newClassName ="boldFont";
	}
	
	var beMark=false;
	//得到全部选中的id
	var selectedTR = getSelectedIds();
	if(selectedTR.trim().length==0)
	{
	    alert(msgph_marker_alert);
		return;
	}
	var arrTR = selectedTR.split(",");  
	for(var i=0;i<arrTR.length;i++)
	{
		var id = arrTR[i];
		if(id.trim().length==0)
		{
		   return;
		}
		var item = "#chk_"+id; 
		var $objTR = $(item).parent().parent();
		   
		if(!$objTR.hasClass(newClassName))
		{
		   beMark = true;  //表标批量选的项里包含未标记过的
           break;		   
		}
	}	
	
	if(beMark)
	{
	    //全部都标记成红色 
		for(var i=0;i<arrTR.length;i++)
		{
			var id = arrTR[i];
			var item = "#chk_"+id; 
			var $objTR = $(item).parent().parent();		
			if(!$objTR.hasClass(newClassName))
			{
			    $objTR.addClass(newClassName);
			}
		}		
	}
	else
	{    
	    //如果是标记过的，就变成没标记;如果是没标记过的，就标记成红色
		for(var i=0;i<arrTR.length;i++)
		{
			var id = arrTR[i];
			var item = "#chk_"+id; 
			var $objTR = $(item).parent().parent();	 		   
			if($objTR.hasClass(newClassName))
			{   
			    $objTR.removeClass(newClassName);
			}
			else
			{
			    $objTR.addClass(newClassName);
			}
		}	
	}
	
	//发请求给后台 传id 大类 小类   
    //小类
    if(g_strBigType==BIGTYPE_BULLETIN)
    {
       if($("#bulletinType_alarm").attr("checked"))
	   {
	       g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#bulletinType_alarm").val());
	   }
	   else if($("#bulletinType_patch").attr("checked"))
	   {
          g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#bulletinType_patch").val());
	   }
    }
    else if(g_strBigType==BIGTYPE_DOC) 
    {
        g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#hdx_doc_type").val());
    }
    else if(g_strBigType==BIGTYPE_TOOL)
    {    
        g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#hdx_tool_type").val());
    }
      
    $.ajax(
	{
    	async:false,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"doMarker",id:selectedTR,bigType:g_strBigType,smallType:g_strSmallType}, //参数
		error: function(){},
		success: function(data,evt){}
	}); 	
}

/*
//单行标记
function doOrUndoMarker(id)
{  
   if(id.trim().length==0)
   {
       return;
   }
   var item = "#chk_"+id; 
   var $objTR = $(item).parent().parent();
   
   if($objTR.hasClass("redFont"))
   {
       $objTR.removeClass("redFont");   
   }
   else
   {
      $objTR.addClass("redFont");
   }
   
   //发请求给后台 传id 大类 小类   
   //小类
   if(g_strBigType==BIGTYPE_BULLETIN)
   {
       if($("#bulletinType_alarm").attr("checked"))
	   {
	       g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#bulletinType_alarm").val());
	   }
	   else if($("#bulletinType_patch").attr("checked"))
	   {
          g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#bulletinType_patch").val());
	   }
   }
   else if(g_strBigType==BIGTYPE_DOC) 
   {
        g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#hdx_doc_type").val());
   }
   else if(g_strBigType==BIGTYPE_TOOL)
   {    
        g_strSmallType = handlerSpecialCharsWithDoubleEscape($("#hdx_tool_type").val());
   }
      
   $.ajax(
	{
    	async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"doMarker",id:id,bigType:g_strBigType,smallType:g_strSmallType}, //参数
		error: function(){},
		success: function(data,evt){}
	});   
}
*/

//获取当前勾选的项
function getSelectedIds()
{
    var selectedIds = document.getElementsByName("selectedIds");
    var tmp_Ids=[];	  
	for(var i=0; i<selectedIds.length; i++)
	{	      
	    if((selectedIds[i].checked) && (selectedIds[i].value.length > 0))
		{
		    tmp_Ids.push(selectedIds[i].value);
		}
	}
	var strSelectedIds = tmp_Ids.join(",");
    return strSelectedIds;
}

//根据每页显示记录数筛选
function RowsPerPage()
{    
	/* DTS2012021301519  修改为保留关键字，保留状态框的选择值
	//清关键字
    $("#hdx_mainTn_inputTxt").val(""); g_passKey = false; g_strInput = ""; 
    //状态下拉框恢复默认
    $("#hdx_mainTn_status").val("0");
	*/ //end DTS2012021301519
	g_stopFreshTable=true; //loop 中不刷表格
    getAllParams();
    g_strRowPerPage = $("#rowNum").val();
    g_strPageNum = "1";
	
   /*	//除vplan外的所有表头时间项的排序按钮改为默认（从大到小） DTS2012020103196	
   if(!((g_strBigType==BIGTYPE_BULLETIN)&&(g_strSmallType == "1")))
   {
       $("#hdx_mainTnRes_tb_head").find("th").eq(3).find("img").attr("src","css/images/common/desc.gif");
   }
   //end  DTS2012020103196	
   
   if(((g_strBigType==BIGTYPE_BULLETIN)&&(g_strSmallType == "0"))||(g_strBigType==BIGTYPE_DOC))
   {    //公告文档 
       $("#hdx_mainTnRes_tb_head").find("th").eq(5).find("img").attr("src","css/images/common/desc.gif");
   }
   else if(g_strBigType==BIGTYPE_TOOL)
   {
       //工具
	   $("#hdx_mainTnRes_tb_head").find("th").eq(3).find("img").attr("src","css/images/common/desc.gif");
   }
   else
   {
       //TODO
   }*/
   
	
    /*
       1. 刷表格内容
       2. 刷分页 
       3. 表头（排序图标要恢复）	   
    */   
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"rowsPerPage",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{
		    /*  DTS2012021301519  修改为保留关键字，保留状态框的选择值
			//清关键字
			$("#hdx_mainTn_inputTxt").val(""); g_passKey = false; g_strInput = ""; 
			//状态下拉框恢复默认
			$("#hdx_mainTn_status").val("0");
			*/ //end DTS2012021301519
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/* 0. 表格内容
			   1. 分页
			   2. 表头（排序图标要恢复）
			*/			
			$("#hdx_mainTnRes_tb_body").html(dataArr[0]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[0]).find("input").length>0)   //DTS2011122801968  dataArr下标写错了
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			
			$("#hdx_spt_bulltin_footer_td").html(dataArr[1]);
            $("#hdx_mainTnRes_tb_head").html(dataArr[2]);
    			
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
			
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}	
		}
	});
	
	//跳页面到顶部  DTS2012042805466 
	jumpToTop();
}

//根据页码跳转
function gotoPage(pageNum)
{
    /*
	   刷新：
	   1. 表内容
	   2. 分页
	   3. 表头（排序图标要恢复）
	*/
   g_stopFreshTable=true; //loop 中不刷表格
   //取到所有要传到后台去的参数
   getAllParams();
   
  /* //除vplan外的所有表头时间项的排序按钮改为默认（从大到小） DTS2012020103196	
   if(!((g_strBigType==BIGTYPE_BULLETIN)&&(g_strSmallType == "1")))
   {
       $("#hdx_mainTnRes_tb_head").find("th").eq(3).find("img").attr("src","css/images/common/desc.gif");
   }
   //end  DTS2012020103196	
   
   if(((g_strBigType==BIGTYPE_BULLETIN)&&(g_strSmallType == "0"))||(g_strBigType==BIGTYPE_DOC))
   {    //公告文档 
       $("#hdx_mainTnRes_tb_head").find("th").eq(5).find("img").attr("src","css/images/common/desc.gif");
   }
   else if(g_strBigType==BIGTYPE_TOOL)
   {
       //工具
	   $("#hdx_mainTnRes_tb_head").find("th").eq(3).find("img").attr("src","css/images/common/desc.gif");
   }
   else
   {
       //TODO
   }*/
   
   //取当前页码
   g_strPageNum = pageNum;
   
   //发请求
   $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"gotoPage",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, //参数
		error: function(){},
		success: function(data,evt)
		{
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			/* 0. 表格内容
			   1. 分页
			   2. 表头（排序图标要恢复）
			*/			
			$("#hdx_mainTnRes_tb_body").html(dataArr[0]);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(dataArr[0]).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			$("#hdx_spt_bulltin_footer_td").html(dataArr[1]);
			$("#hdx_mainTnRes_tb_head").html(dataArr[2]);
            //由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
		
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
				g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}	
		}
	});	
	
	//跳页面到顶部  DTS2012042805466 
	jumpToTop();
}

//手动刷新界面，需要后台重新从support取数据
function refreshPage(refreshType)
{
    //refreshAll  全量刷新  refreshPage 增量刷新
	//出现浮动层页面，阻止进一步操作
	var $modal = $('<div id="basicModalContent" style="display:none;">\
		<table id="hdx_table" width="100%" align="center" border="0" cellspacing="5" cellpadding="5">\
		<tr><td align="center" width="100%">\
		<img src="css/images/upgradeLib/time.gif" style="margin:0;padding:0;width:16px;height:16px;vertical-align:middle;" /><span style="vertical-align:middle;">'+g_msgph_wait+'<span></td></tr></div>');
	$modal.modal({containerId: 'simplemodal-container-refresh'});   
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:refreshType}, 
		error: function(){window.location.href='/maintnsupportres.cgi';},
		success: function(data,evt)
		{
		    if(data=="doRefresh")
			{
			    getRefreshStatusBySendAjax();
			}
		}
	});	
}

//获取刷新进度
function getRefreshStatusBySendAjax()
{
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"refreshStatus"}, 
		error: function(){window.location.href='/maintnsupportres.cgi';},
		success: function(data,evt)
		{    
			if(data == "refreshing")
			{   //正在刷新则继续发请求
			    getRefreshStatusBySendAjax();
			}
			else
			{   //刷新完成或都服务器已停止等情况都重刷界面 
			    window.location.href='/maintnsupportres.cgi';
			}
		}
	});	
}

//这是一个闭包函数
function canOrNotOpenBulletinTitle(strURL,id)
{
   var _strURL = strURL; 
   var tmpId ="#chk_"+id;  
   var url=$(tmpId).parent().parent().find("td").last().find("li").eq(0).attr("url");   
   function isLogin()
   {
       //先发请求到后台看下是否登录了
		$.ajax(
		{
			async:false,
			url: 'maintnaction.cgi',
			type: 'post',
			dataType: 'html',
			cache:false,				
			data:{action:"isLogin"}, 
			error: function(){return;},
			success: function(data,evt)
			{   
				if(data == "true")
				{  //已登录 
				   openBulletinInDlg(_strURL);
				}
				else
				{  
					//没有登录	                    			
					if($(tmpId).parent().parent().find("td").last().find(".openfile").length<1)
					{   //没有下载过
						$("#hdx_bulletin_alert").dialog("destroy");	
						if(g_lang=="zh_cn")
						{		
							$("#hdx_bulletin_alert").dialog({
								height: 140,
								resizable:false,
								position: 'center',
								modal: true,
								buttons: {
									"取消": function() {
										$(this).dialog("close");
									},
									"确定": function() {
										//login
										openBulletinDialogLogin();
										$(this).dialog("close");
									}
								}
							});
						}
						else
						{
							$("#hdx_bulletin_alert").dialog({
								height: 140,
								resizable:false,
								position: 'center',
								modal: true,
								buttons: {
									"Cancel": function() {
										$(this).dialog("close");
									},
									"OK": function() {
										//login
										openBulletinDialogLogin();
										$(this).dialog("close");
									}
								}
							});
						}
						$("#hdx_dlg_msg1").css("display","");
						$("#hdx_dlg_msg2").css("display","none");
					}
					else
					{						
						$("#hdx_bulletin_alert").dialog("destroy");
						if(g_lang=="zh_cn")
						{	
							$("#hdx_bulletin_alert").dialog({
							height: 180,
							resizable:false,
							position: 'center',
							modal: true,
							buttons: {					
								"取消": function() {
									$(this).dialog("close");
								},
								"确定": function() {
									//把用户的选择发到发台，根据选择做后面的事
									openBulletinDialogOptionSubmit(id,url);
									$(this).dialog("close");
								}
							}
							});
						}
						else
						{
							$("#hdx_bulletin_alert").dialog({
							height: 180,
							resizable:false,
							position: 'center',
							modal: true,
							buttons: {					
								"Cancel": function() {
									$(this).dialog("close");
								},
								"OK": function() {
									//把用户的选择发到发台，根据选择做后面的事
									openBulletinDialogOptionSubmit(id,url);
									$(this).dialog("close");
								}
							}
							});
						}
						$("#hdx_dlg_msg1").css("display","none");
						$("#hdx_dlg_msg2").css("display",""); 
					}
				}				
			}
		});	
   }   
   return isLogin;
}

//打开title对应的support页面
function openBulletinDialog(strURL,id)
{  
	if(strURL=="")
	{
	    return;
	}
	/*
	   如果没登录，并且有下载过 提示 option 1 打开已下载本地文件第1个文件; option 2 登录
	   如果没登录，没有下载过，提示登录
	   如果登录在dialog里打开对应url
	*/
	//使用闭包
	var openTitle = canOrNotOpenBulletinTitle(strURL,id);
	openTitle();
}

//打开GUI登录界面
function openBulletinDialogLogin()
{  
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"bullet_login"}, 
		error: function(){},
		success: function(data,evt){}
	});
}

//根据用选择执行不同的操作（登录或打开下载过的文件）
function openBulletinDialogOptionSubmit(id,url)
{
	if($("#hdx_dlg_op1").attr("checked"))
	{   //打开已下载文件（第1个文件）		
		//var objLi = $(obj).parent().parent().find("td").last().find(".openfile")[0];		
		openDownloadFile(id,url);		
	    $(this).dialog("close");
	}
	else if($("#hdx_dlg_op2").attr("checked"))
	{   //登录
		openBulletinDialogLogin();
	}
}
//打开公告所在页面
function openBulletinInDlg(strURL)
{  
	//自动登录
	 var strDestUrl = "/loginSupport.cgi?action=openBulletin&bulletinUrl="+handlerSpecialCharsWithDoubleEscape(strURL);
	 va win = window.open(strDestUrl);
	 
	 if (win) {
		win.opener = null;
	}
} 

//打开补丁计划对应的链接
function openPatchPlan(strURL)
{   
    if(strURL=="")
	{
	    return;
	}
	/*
	   如果没登录，提示登录
	   如果登录则自动跳转到support对应的页面
	*/
	//使用闭包
	var openPatchPlanLink = canOrNotOpenPatchPlanLink(strURL);
	openPatchPlanLink();
}
 
//判断有没有登录
function canOrNotOpenPatchPlanLink(strURL)
{
   var _strURL = strURL;    
   function isLogin()
   {
       //先发请求到后台看下是否登录了
		$.ajax(
		{
			async:false,
			url: 'maintnaction.cgi',
			type: 'post',
			dataType: 'html',
			cache:false,				
			data:{action:"isLogin"}, 
			error: function(){return;},
			success: function(data,evt)
			{   
				if(data == "true")
				{   //已登录 
				    vplanAutoLogin(_strURL);
				}
				else
				{  
					//没有登录	
                    vplanLoginDialog();					
				}
            }				
		});	
   }   
   return isLogin;
}

//vplan自动登录
function vplanAutoLogin(url)
{
    //自动登录
    var strVPlanDestUrl="/loginSupport.cgi?action=vPlanLink&VPlanLinkUrl="+handlerSpecialCharsWithDoubleEscape(url);
	var win = window.open(strVPlanDestUrl);
	
	if (win) {
		win.opener = null;
	}
}

//vplan登录alert
function vplanLoginDialog()
{
    $("#hdx_vplan_alert").dialog("destroy");	
	if(g_lang=="zh_cn")
	{		
		$("#hdx_vplan_alert").dialog({
			height: 140,
			resizable:false,
			position: 'center',
			modal: true,
			buttons: {
				"取消": function() {
					$(this).dialog("close");
				},
				"确定": function() {
					//login
					openBulletinDialogLogin();
					$(this).dialog("close");
				}
			}
		});
	}
	else
	{
		$("#hdx_vplan_alert").dialog({
			height: 140,
			resizable:false,
			position: 'center',
			modal: true,
			buttons: {
				"Cancel": function() {
					$(this).dialog("close");
				},
				"OK": function() {
					//login
					openBulletinDialogLogin();
					$(this).dialog("close");
				}
			}
		});
	}
}

//批量下载 需要先判断是否登录
function batchDownloaded()  
{    //先判断是否登录了 用同步的ajax
	$.ajax(
	{
		async:false,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"isLogin"}, 
		error: function(){return;},
		success: function(data,evt)
		{
		    if(data=="true")
			{
			    var ids = getSelectedIds();  
				if(ids.trim().length==0)
				{
					alert(msgph_batchDownload_alert);
					return;
				}
				var arrTR = ids.split(","); 
				var idAndUrls="";
				for(var i=0;i<arrTR.length;i++)
				{   
					var tmp_urls=[]; 
					//根据id取到最后一列li中的url 
					//如果公告里有多个附件要下载，附件的url，以DATA_SEPARATOR连接
					var item = "#chk_"+arrTR[i]; 
					var $objTR = $(item).parent().parent();			
					$objTR.find("td").last().find("ul").eq(0).find("li").each(function(){ 
						tmp_urls.push($(this).attr("url"));	            			
					});					
					var urls = tmp_urls.join(DATA_SEPARATOR_1_FOR_MT);	
					var tmpStr1 =  arrTR[i]+DATA_SEPARATOR_FOR_MT+urls;
					var tmpStr2 =  tmpStr1 + DATA_SEPARATOR_2_FOR_MT;
                    idAndUrls += tmpStr2;					
				}
				commonBatchDownload(idAndUrls,"batchStart");
			}
			else
			{ 
			     //如果没有登录，弹出登录提示框
				$("#hdx_bulletin_alert").dialog("destroy");	
				if(g_lang=="zh_cn")
				{		
					$("#hdx_bulletin_alert").dialog({
						height: 140,
						resizable:false,
						position: 'center',
						modal: true,
						buttons: {
							"取消": function() {
								$(this).dialog("close");
							},
							"确定": function() {
								//login
								openBulletinDialogLogin();
								$(this).dialog("close");
							}
						}
					});
				}
				else
				{
					$("#hdx_bulletin_alert").dialog({
						height: 140,
						resizable:false,
						position: 'center',
						modal: true,
						buttons: {
							"Cancel": function() {
								$(this).dialog("close");
							},
							"OK": function() {
								//login
								openBulletinDialogLogin();
								$(this).dialog("close");
							}
						}
					});
				}
				$("#hdx_dlg_msg1").css("display","");
				$("#hdx_dlg_msg2").css("display","none");
			}
		}
	});	
}

//批量暂停
function batchPauseDownload()
{
    var ids = getSelectedIds();
	if(ids.trim().length==0)
	{
	    alert(msgph_batchPause_alert);
		return;
	}
	var arrTR = ids.split(","); 
	var idAndUrls = "";	
	for(var i=0;i<arrTR.length;i++)
	{
	    var tmp_urls=[];
		//根据id取到最后一列li中的url 
	    //如果公告里有多个附件要下载，附件的url，以DATA_SEPARATOR连接
	    var item = "#chk_"+arrTR[i]; 
		var $objTR = $(item).parent().parent();	
        	
		$objTR.find("td").last().find("ul").eq(0).find("li").each(function(){ 
			tmp_urls.push($(this).attr("url"));
		});		
		var urls = tmp_urls.join(DATA_SEPARATOR_1_FOR_MT);
		var tmpStr1 = arrTR[i]+DATA_SEPARATOR_FOR_MT+urls;
		var tmpStr2 = tmpStr1+DATA_SEPARATOR_2_FOR_MT;
        idAndUrls += tmpStr2;	
	}
	commonBatchDownload(idAndUrls,"batchPause");
}

//批量的公共方法
function commonBatchDownload(idAndUrls,flag)
{     
   $.ajax(
	{
		async:false,  //DTS2012011101748 
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,
		data:{action:flag,idAndUrls:handlerSpecialCharsWithDoubleEscape(idAndUrls),bigType:g_strBigType},
		error: function(){},
		success: function(data,evt)
		{
			/* 刷新状态列和最后一列
			*/
            g_stopFreshTable=false; //使能刷表格	
            isNeedRefreshTableFlag = true;	//使能刷表格 		
			//refreshStatusAndProcess();	
		}
	});	
}

//下载
function downloadAttachment(id,url)
{
   commonSingleDownload(id,url,"start");
}

//暂停下载
function pauseAttachmentDownload(id,url)
{
   commonDownloadOpr(id,url,"pause");
}

//删除下载的附件，并删除下载任务
function deleteAttachmentDownload(id,url)
{   //*
    var sure=confirm(msgph_del_task);  //DTS2012011002162 增加删除时提示
	if(sure==false)
	{
		return;
	}
	//*/	
    commonDownloadOpr(id,url,"delete");
}

//暂停、删除用
function commonDownloadOpr(id,url,flag)
{
	$.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',   //post如果参数两次escape，serlvet里要两次unescape;get,则只要一次
		dataType: 'html',
		cache:false,				
		data:{action:flag,id:handlerSpecialCharsWithDoubleEscape(id),downloadUrl:handlerSpecialCharsWithDoubleEscape(url),bigType:g_strBigType},
		error: function(){},
		success: function(data,evt)
		{
			//只刷状态和最后一列
			g_stopFreshTable=false; //使能刷表格	
            isNeedRefreshTableFlag = true;	//使能刷表格   			
			//refreshStatusAndProcess();	
		}
	});	
}

//使用闭包函数判断是否登录
function isLoginOrNotForSingleDownload(id,url,flag)
{
    //var _obj = obj;
	var _flag = flag;
	function isLogin()
    {
       //先发请求到后台看下是否登录了
		$.ajax(
		{
			async:false,
			url: 'maintnaction.cgi',
			type: 'post',
			dataType: 'html',
			cache:false,				
			data:{action:"isLogin"}, 
			error: function(){return;},
			success: function(data,evt)
			{
			    if(data=="true")
				{
					$.ajax(
					{
						async:true,
						url: 'maintnaction.cgi',
						type: 'post',   //post如果参数两次escape，serlvet里要两次unescape;get,则只要一次
						dataType: 'html',
						cache:false,				
						data:{action:_flag,id:handlerSpecialCharsWithDoubleEscape(id),downloadUrl:handlerSpecialCharsWithDoubleEscape(url),bigType:g_strBigType},
						error: function(){},
						success: function(data,evt)
						{
							/*只刷状态和最后一列
							*/
							g_stopFreshTable=false; //使能刷表格
                            isNeedRefreshTableFlag = true;	//使能刷表格 							
							//refreshStatusAndProcess();	
						}
					});	
				}
				else
				{
				    //如果没有登录，弹出登录提示框
					$("#hdx_bulletin_alert").dialog("destroy");	
					if(g_lang=="zh_cn")
					{		
						$("#hdx_bulletin_alert").dialog({
							height: 140,
							resizable:false,
							position: 'center',
							modal: true,
							buttons: {
								"取消": function() {
									$(this).dialog("close");
								},
								"确定": function() {
									//login
									openBulletinDialogLogin();
									$(this).dialog("close");
								}
							}
						});
					}
					else
					{
						$("#hdx_bulletin_alert").dialog({
							height: 140,
							resizable:false,
							position: 'center',
							modal: true,
							buttons: {
								"Cancel": function() {
									$(this).dialog("close");
								},
								"OK": function() {
									//login
									openBulletinDialogLogin();
									$(this).dialog("close");
								}
							}
						});
					}
					$("#hdx_dlg_msg1").css("display","");
					$("#hdx_dlg_msg2").css("display","none");
				}
			}
		});
    }	
    return isLogin;	
}

//下载用
function commonSingleDownload(id,url,flag)
{
    var singleDownload = isLoginOrNotForSingleDownload(id,url,flag);
	singleDownload();
}

//打开文件所在路径
function openDownloadDir(id,url)
{  
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"openDir",id:handlerSpecialCharsWithDoubleEscape(id),downloadUrl:handlerSpecialCharsWithDoubleEscape(url),bigType:g_strBigType,smallType:g_strSmallType},
		error: function(){},
		success: function(data,evt)
		{
		    //打开文件刷表格
            g_stopFreshTable=false; //使能刷表格
            isNeedRefreshTableFlag = true;	//使能刷表格 	
		}
	});	   
}

//点击文档工具打开文件
function openDocOrToolDownloadFile(id)
{
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"openFile",id:handlerSpecialCharsWithDoubleEscape(id),downloadUrl:"",bigType:g_strBigType,smallType:g_strSmallType},
		error: function(){},
		success: function(data,evt)
		{ 		
			g_stopFreshTable=false; //使能刷表格
            isNeedRefreshTableFlag = true;	//使能刷表格 
		}
	});	   
}

//打开文件
function openDownloadFile(id,url)
{
    $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"openFile",id:handlerSpecialCharsWithDoubleEscape(id),downloadUrl:handlerSpecialCharsWithDoubleEscape(url),bigType:g_strBigType,smallType:g_strSmallType},
		error: function(){},
		success: function(data,evt)
		{
		     //打开文件后刷表格
            g_stopFreshTable=false; //使能刷表格
            isNeedRefreshTableFlag = true;	//使能刷表格 
		}
	});		
}

//删除下载后的文件
function deleteDownloadedFile(id,url)
{ 
    var sure=confirm(msgph_del_file);  //DTS2012011002162 增加删除时提示
	if(sure==false)
	{
		return;
	}
	
	$.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"deleteFile",id:handlerSpecialCharsWithDoubleEscape(id),downloadUrl:handlerSpecialCharsWithDoubleEscape(url),bigType:g_strBigType,smallType:g_strSmallType},
		error: function(){},
		success: function(data,evt){
		   /* 刷表格内容
			*/	
            g_stopFreshTable=false; //使能刷表格
            isNeedRefreshTableFlag = true;	//使能刷表格 			
			//refreshStatusAndProcess();	
		}
	});		
}
/* 暂不使用
//刷表格内容
function refreshTableBody()
{
   getAllParams();
   $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"refreshTable",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, 
		error: function(){},
		success: function(data,evt)
		{   
			$("#hdx_mainTnRes_tb_body").html(data);
			//如果表格内容为空，则灰化批量操作，否则批量操作可用			
			if($(data).find("input").length>0)
			{
			    enable_batchOpr();
			}
			else
			{
			    grey_batchOpr();
			} 
			//由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
		}
	});
}
*/

//刷新当前表格内容状态列和最后一列
function refreshStatusAndProcess()
{  
   getAllParams();
   $.ajax(
	{
		async:true,
		url: 'maintnaction.cgi',
		type: 'post',
		dataType: 'html',
		cache:false,				
		data:{action:"refreshTable",categoryId:g_strCategoryId,activitiesId:g_strActivitiesIds,bigType:g_strBigType,smallType:g_strSmallType,downloadStatus:g_strDownloadStatus,pageNum:g_strPageNum,rowPerPage:g_strRowPerPage,input:g_strInput}, 
		error: function(){},
		success: function(data,evt)
		{   
			var dataArr = data.split(DATA_SEPARATOR_FOR_MT);
			if($("#hdx_mainTn_status").val()==0)
			{
			    var $data = $(dataArr[0]); 
				//只刷table body	
				if($data.find("td").eq(0).attr("colspan")<=1) //有数据的情况
				{   
					//更新状态和最后一列
					$data.find("th:eq(0) input").each(function(){
					   var chkId = $(this)[0].id;
					   var destId = "#"+chkId;
					   var length = $(this).parent().parent().children("td").length;
					   var $title =  $(this).parent().parent().children("td").eq(0).html();
					   var $status = $(this).parent().parent().children("td").eq(length-2).html();
					   var $opr = $(this).parent().parent().children("td").eq(length-1).html();
					   $(destId).parent().parent().children("td").eq(length-2).html($status);
					   $(destId).parent().parent().children("td").eq(length-1).html($opr);
					   
					   //刷标题列
					   $(destId).parent().parent().children("td").eq(0).html($title);
					});	
				}			
				else  ////返回的值是<tr><td colspan="5">无记录</td></tr>的情况	
				{			
					$("#hdx_mainTnRes_tb_body").html(dataArr[0]);
				}
			}
			else
			{
			    //有过滤条件，刷body和分页
				$("#hdx_mainTnRes_tb_body").html(dataArr[0]);
				$("#hdx_spt_bulltin_footer_td").html(dataArr[1]);
			}			
			//由table body里的内容的选中状态决定全选状态
			doCheckAllOrNot();
			
			if(($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .waitImg").length>0)||($("#hdx_mainTnRes_tb_body").find(".attachmentList .operation .runningImg").length>0))
			{
			//	g_stopFreshTable = false; //开启loop刷新表格
				isNeedRefreshTableFlag = true;
			}
			else
			{
				isNeedRefreshTableFlag = false;
			}
			
		}
	});
}

//列表中无值时灰化批量操作（下载、暂停、标记）
function grey_batchOpr()
{
	$("#opr_img_batch_download").attr("src","css/images/upgradeLib/download_grey.gif");
	$("#opr_img_batch_download").attr("class","operate_span_icon_gray");
	$("#opr_txt_batch_download").attr("class","opr_txt_gray");

	$("#opr_img_batch_pause").attr("src","css/images/upgradeLib/patch_pause_grey.gif");
	$("#opr_img_batch_pause").attr("class","operate_span_icon_gray");
	$("#opr_txt_batch_pause").attr("class","opr_txt_gray");

	$("#opr_img_batch_flag").attr("src","css/images/upgradeLib/flag_grey.gif");
	$("#opr_img_batch_flag").attr("class","operate_span_icon_gray");
	$("#opr_txt_batch_flag").attr("class","opr_txt_gray");

	$("#opr_batch_download").unbind( "click");
	$("#opr_batch_pause").unbind("click");
	$("#opr_batch_flag").unbind("click");
}

//列表中有值,则使批量操作（下载、暂停、标记）功能可用
function enable_batchOpr()
{
	$("#opr_img_batch_download").attr("src","css/images/upgradeLib/download.gif");
	$("#opr_img_batch_download").attr("class","operate_span_icon");
	$("#opr_txt_batch_download").attr("class","opr_txt");
	
	$("#opr_img_batch_pause").attr("src","css/images/upgradeLib/patch_pause.gif");
	$("#opr_img_batch_pause").attr("class","operate_span_icon");
	$("#opr_txt_batch_pause").attr("class","opr_txt");
	
	$("#opr_img_batch_flag").attr("src","css/images/upgradeLib/flag.gif");
	$("#opr_img_batch_flag").attr("class","operate_span_icon");
	$("#opr_txt_batch_flag").attr("class","opr_txt");

	$("#opr_batch_download").unbind("click");
	$("#opr_batch_download").bind( "click",batchDownloaded);
	
	$("#opr_batch_pause").unbind("click");
	$("#opr_batch_pause").bind("click",batchPauseDownload);
	
	$("#opr_batch_flag").unbind("click");
	$("#opr_batch_flag").bind("click",batchMark);
}

//跳转到support软件申请单界面
function getRestrict(url)
{
    var strDestUrl = "/loginSupport.cgi?action=getRestrict&restrictUrl="+handlerSpecialCharsWithDoubleEscape(url);
	var win = window.open(strDestUrl);
	
	if (win) {
		win.opener = null;
	}
}

//跳页面到顶部 
function jumpToTop()
{      
   $('html,body').animate({scrollTop:60}, 1000);
}